SC_WRITE_BINARY(3)

NAME
sc_write_binary - Write to a new file

SYNOPSIS

    #include <opensc.h>
    int sc_write_binary(struct sc_card *card, unsigned int offset,
                        const unsigned char *buf, size_t count,
                        unsigned long flags);

DESCRIPTION

This function writes count bytes from the buffer pointed to by buf to a transparent elementary file (EF) on card. It corresponds to the ISO 7816 WRITE BINARY function. Call sc_select_file() first to select the file to write to.

This function is used to write to a newly created file, or to a a previously unused portion of a file. For updating an existing file, use the sc_update_binary() function.

The offset argument specifies the file offset in bytes. The flags argument is currently not used, and should be set to 0.

RETURN VALUE

If successful, the number of bytes written is returned. Otherwise, a negative value is returned.